<div class="row">
    <div class="col-12">
        <nb-card>
            <nb-card-header>
                Favorites
            </nb-card-header>
            <nb-card-body>
                <nb-layout-column>
                    <app-imports-selector [loader]="loader" (importSelected)="analyseImport($event)"></app-imports-selector>
                </nb-layout-column>
            </nb-card-body>
        </nb-card>
    </div>
</div>
<div class="row">
    <div class="col-12">
        <nb-card>
            <nb-card-header>
                List
            </nb-card-header>
            <nb-card-body *ngIf="favoritesItems">
                <nb-list>
                    <nb-list-item *ngFor="let item of favoritesItems">
                        <nb-layout-column>
                            <p class="passive-link" [routerLink]="'/content/details/' + item._id">{{item.name}}</p>
                        </nb-layout-column>
                        <nb-layout-column>
                            <app-price [price]="item.priceLimit" #limitPrice></app-price>
                        </nb-layout-column>
                        <nb-layout-column>
                            <button nbButton status="primary" hero shape="semi-round">
                                <nb-icon icon="edit-outline" (click)="saveLimitPrice(item, limitPrice.value)"></nb-icon>
                            </button>
                        </nb-layout-column>
                        <nb-layout-column>
                            <div *ngIf="analyzed">
                            <span *ngIf="item.underPrice; else notUnder">
                                <nb-alert status="success">This item is under price</nb-alert>
                            </span>
                            <ng-template #notUnder>
                                <span> Not under the limit</span>
                            </ng-template>
                            </div>
                        </nb-layout-column>
                    </nb-list-item>
                </nb-list>
            </nb-card-body>
        </nb-card>
    </div>
</div>
